# ToolingModelBuilderRegistry

@ServiceScope(value = Build::class)
interface ToolingModelBuilderRegistry

A registry of tooling model builders. Adding a builder to this registry makes a model (or models) available via the tooling API.

An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

## Functions

getBuilder
Link copied to clipboard
abstract fun getBuilder(modelName: String): ToolingModelBuilder
register
Link copied to clipboard
abstract fun register(builder: ToolingModelBuilder)